<?php 
session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 

$cong_codigo=$_SESSION['cong_codigo'];
if(!empty($cong)){$cong_codigo=$cong;}
$_SESSION['cong_codigo']=$cong_codigo;

if($vista2=='' and getPlatform()=='Android'){$vista2=1;}
if($vista2=='' and getPlatform()=='Linux'){$vista2=1;}

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
if(empty($user_codigo)){$edit=0;}

$user0=data_maes('user',$user_codigo);

$cong0=data_maes('cong',$cong_codigo);
// $salas=$cong0['cong_sala'];

$info='pmdc';

if(empty($formato)){$formato='dia';}
if(empty($docu)){$docu='MDC';}

$editdate=date('Y-m-d');
$editweek=date('Y-W');

$xacce=$user0['user_'.strtolower($info)];
$xacce=1;

// if($xacce!=1){$edit='';$docu='';}
// if($user0['user_cong']!=$cong0['cong_codigo']){$edit='';$docu='';}



if(empty($mes)){$mes=date('Y-m');}
$fecha1=$mes.'-01';
$fecha2=date('Y-m-t',strtotime($fecha1));

if(empty($prnt))
{$fecha2=date('Y-m-t',strtotime('+4 month'));}

// {$fecha2=date('Y-m-t',strtotime('+2 month'));}
// $fecha2=date('Y-m-t',strtotime($fecha1));


if(!empty($prnt))
{$fecha2=date('Y-m-t',strtotime($fecha1));}


$semana1=date('Y-W',strtotime($fecha1));
$semana2=date('Y-W',strtotime($fecha2));

if($semana1>$semana2)
{$semana1=date('Y-01',strtotime($fecha1));}


//      echo '*/*/*/*'.$sql_jwib;

// $res_jwib=msql_query($sql_jwib,$link_data);


set_jwmc1('','nombre1');
set_jwmc1('','nombre2');

if($edit==1)
{
     $fecha0=date('Y-m-01',strtotime('-12 month'));


     crea_nomb0();
     
     $zid='nomb_mdc5';
     $ztabla='nomb';
     $zcolu='nomb_nombre';
     $zwhere='(';
     $zwhere.='nomb_cong="'.$_SESSION['cong_codigo'].'" and nomb_lused>="'.$fecha0.'" ';
//      if(!empty($docu))
     {$zwhere.='and nomb_docu  like "MDC5" ';}
//      $zwhere.='and nomb_tipo="'.$info.'" ';
     $zwhere.='and nomb_nombre not like "%.%" ';
     $zwhere.=')';
     include('ele_datalist.php');
}


if(empty($prnt))
{
echo '<div id="filtros" noprint >';
{
// OCULTOS
echo '<div hide>';     
//      echo '<input id="ipip" value="'.$ipip.'">';
//      echo '<input id="format" value="'.$format.'">';
//      // echo '<input id="limit" hide value="'.$limit.'">';
//      echo '<input id="modu" value="'.$modu.'">';
//      echo '<input id="info" value="'.$info.'">';
//      echo '<input id="idnum1" value="'.$idnum1.'">';
//      echo '<input id="fecha1" value="'.$fecha1.'">';
//      echo '<input id="fecha2" value="'.$fecha2.'">';
//      echo '<input id="stfin" value="'.$stfin.'">';
     echo '<input id="cong" value="'.$_SESSION['cong_codigo'].'">';
echo '</div>';     

     
     
     
$zid='mes';
$zlabel='Mes';
$zvalue=$mes;
$ztype='month';
$zonchange='{jwib_asig(event);}';
// $zonclick=$zonchange;     
include('ele_input.php');

     
$zid='btn_prev'; 
$zlabel='◄';
$zonclick='{document.getElementById("mes").stepDown();document.getElementById("mes").onchange();}';
$zstyle='width:2.5em;';
include('ele_button.php');
     
$zid='btn_next'; 
$zlabel='►';
$zonclick='{document.getElementById("mes").stepUp();document.getElementById("mes").onchange();}';
$zstyle='width:2.5em;';
include('ele_button.php');


     
$zid='prnt_'.$info; 
$zlabel='Impri';
$zalign='right';
$zonclick='{nwo=window.open(xhref+"&prnt=1","_blank");nwo.print();}';
$zhref=' ';
$znoprint=1;
$zsize=0.8;
include('ele_button.php');
     
     

     
     
$zobj=1;
include('ele_break.php');

     
     
     
     
// // $zobj=1;     
// $zid='vista2';
// $zlabel='Vista';
// $zvalue=$vista2;
// $zdefa=0;     
// if($vista2=='')     
// {$zvalue=$_SESSION['screeno'];}
// $zonchange='{jwib_asig(event);}';
// $zoptions='';
// $zoptions.='0,Horizontal;';
// $zoptions.='1,Vertical;';
// $zalign='right';
// $zexact=1;     
// $zhide=1;     
// include('ele_select.php');
     
// $zobj=1;     
$zid='hora_inco';
$zlabel='Horas';
$zvalue=$hora_inco;
$zdefa=0;     
$zonchange='{jwib_asig(event);}';
$zoptions='';
$zoptions.='0,Combinadas;';
$zoptions.='1,Individuales;';
$zalign='right';
$zexact=1;     
include('ele_select.php');
     
     
// $zobj=1;     
$zid='formato';
$zlabel='Formato';
$zvalue=$formato;
$zdefa='dia';     
$zonchange='{jwib_asig(event);}';
$zoptions='';
$zoptions.='sema,Semanal;';
$zoptions.='dia,Diario;';
$zalign='right';
$zexact=1;
// $zhide=1;     
include('ele_select.php');
     
     
     
// $zid='docu';
// $zlabel='Tipo';
// $zvalue=$docu;
// $zonchange='{jwib_asig(event);}';
// $ztabla='docu';
// $ztodo=1;     
// // $zwhere='(docu_tipo="'.$info.'" and docu_codigo!="AS10")';     
// $zwhere='(docu_codigo like "MDC%" )';     
// // $zwhere='(docu_codigo like "MDC%" and docu_codigo in(select distinct docu from jwmc1 where cong="'.$_SESSION['cong_codigo'].'"))';     
// // if(empty($user_codigo))     
// // {$zhide=1;}
// include('ele_select.php');


     
$zid='docu';
$zlabel='🗣️Predicación';
$zlabel='Modalidad';     
$zvalue=$docu;
$zonchange='{jwib_asig(event);}';
$zoptions='';     
$zoptions.='MDC,*️⃣Todo;';     
$zoptions.='MDC1,🏠Casa/Casa;';     
$zoptions.='MDC2,📨Carta;';     
$zoptions.='MDC3,📞Telefónica;';     
$zoptions.='MDC4,🚶Calles;';
$zoptions.='MDC5,🪧Pública; ';
     
$zexact=1;     
include('ele_select.php');

     
     
     
     
$zid='edit';
$zlabel='Editar';
$zvalue=$edit;
$zdefa=2;     
$zonchange='{jwib_asig(event);}';
if(empty($user_codigo))     
{$zhide=1;}
// $zalign='right';
$zbool=1;     
$zexact=1;     
include('ele_select.php');


$zid='btn_consultar'; 
// $zlabel='Consultar';
$zlabel='🔎';     
$zalign='right';
$zsize=1.1;
$zonclick='{jwib_asig(event);}';
$zhide=1;     
include('ele_button.php');

 
include('ele_break.php');     
     
}// filtros
echo '</div>';     
}
     

// echo $sql_jwib;


{    


echo '<div id="main2">';    


     
     
$ztipo='sema';
$ztipo=$formato;     
     
$zfecha1=date('Y-m-01',strtotime($mes));     
$zfecha2=date('Y-m-t',strtotime($mes));     
     
// $zhora1='00:00';     
// $zhora2='24:00';     
// $zmin_fra=60*24;
$zevento=$docu;  

$zhora_inco=$hora_inco; 
     
$zheadtext='PROGRAMA DE PREDICACION';     
if($docu!='MDC')
{
     $docu0=data_maes('docu',$docu);
     $zheadtext.=' '.strtoupper2($docu0['docu_descri']);
}
$zfoottext1='';
$zfoottext1.='🏠C/Casa - ';     
$zfoottext1.='📨Carta - ';     
$zfoottext1.='📞Telef. - ';     
$zfoottext1.='🚶Calle - ';     
$zfoottext1.='🪧Públi. ';     
     
include('ele_calendar.php');     
     

echo '<a href="jwib.vcrxol.com" >jwib.vcrxol.com</a>';     
     
     
echo '</div>';     
     
}




?>

<script>
function jwib_asig(event)
{
//      if(event.type=='click' || event.keyCode==13)
     {
//           get_para();
          var xhref='',dataget;
          dataget=new_FormData('filtros','get');
//           xhref=xhref+'?scri=jwib_asig2';
          xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
          xhref=xhref+dataget;
          document.getElementById("main2").innerHTML='Espere...';
          location.href=xhref;          
     }
}
</script>


<script>document.title="<?php echo $xtitulo;?>"</script>

